@echo off

set /p pushKey="ダイエットを実行しますか(y/n)？  : %pushKey%"

if "%pushKey%"=="y" (
    goto YES
) else if "%pushKey%"=="Y" (
    goto YES
) else if "%pushKey%"=="n" (
    goto NO
) else if "%pushKey%"=="N" (
    goto NO
) else (
    echo y/n 以外は使用できません。
    goto EXIT
)

:YES
del "..\..\*.ipch" /S
del "..\..\*.exp" /S
del "..\..\*.ilk" /S
del "..\..\*.pch" /S
del "..\..\*.pdb" /S
del "..\..\*.idb" /S
del "..\..\*.ncb" /S
del "..\..\*.obj" /S
del "..\..\*.sdf" /S
del "..\..\*.log" /S
del "..\..\*.tlog" /S
del "..\..\*.lastbuildstate" /S

goto EXIT

:NO
echo キャンセルしました。

:EXIT
pause
@echo on
